id: battlenet-phish

info:
  name: battlenet phishing Detection
  author: rxerium
  severity: info
  description: |
    A battlenet phishing website was detected
  reference:
    - https://eu.account.battle.net/login
  metadata:
    max-request: 1
  tags: phishing,battlenet,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Battle.net Login'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"battle.net")'
          - '!contains(host,"blizzard.com")'
# digest: 4b0a00483046022100896dbae35fa313b8ef101f0974bf6668e07d6cc71ce8b3c75d61e43e3cfb2316022100ec482db2a975eaff10d92d187d2cba3ea1c761688213163285d4147c906916b7:922c64590222798bb761d5b6d8e72950